package com.pfe.www;

import android.content.ContentResolver;
import android.database.Cursor;
import android.net.Uri;
import android.provider.ContactsContract;
import android.provider.ContactsContract.PhoneLookup;

public class ContactProvider {
	
	public Uri uri;
	public Cursor c;

	public ContactProvider() { }
	
	public String getNameByNumber(ContentResolver cr, String phoneNumber){
		uri = Uri.withAppendedPath(ContactsContract.PhoneLookup.CONTENT_FILTER_URI, Uri.encode(phoneNumber));
		String[] projection = new String[]{ PhoneLookup.DISPLAY_NAME};

		c = cr.query(uri, projection, null, null, null);
				
		if( c.getCount() != 0 ){
			c.moveToFirst();
			return c.getString(0);
		} else {
			return "Unknown";
		}
	}
}
